Module ModConvert
    Public Const PI As Double = 3.14159265359
    Public Const gTol As Double = 0.005 'Tolerance used to determine if there is a match in the table. (mm)

    '********************************************************
    '******      Unit Conversion Functions        ***********
    '********************************************************
    'Returns a number converted from millimeters to meters
    Public Function MMtoM(ByRef MillimeterValue As Double) As Double
        MMtoM = MillimeterValue / 1000
    End Function

    'Returns a number converted from meters to millimeters
    Public Function MtoMM(ByRef MeterValue As Double) As Double
        MtoMM = MeterValue * 1000
    End Function

    'Returns a number converted from degrees to radians
    Public Function DtoR(ByRef DegreeValue As Double) As Double
        DtoR = PI * DegreeValue / 180
    End Function

    'Returns a number converted from radians to degrees
    Public Function RtoD(ByRef RadianValue As Double) As Double
        RtoD = 180 * RadianValue / PI
    End Function
End Module
